org.gnome.gtk

## Class FileChooserAction

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.FileChooserAction

-     public final class FileChooserAction
      extends org.freedesktop.bindings.Constant

  Set which kind of FileChooser Dialog will appear.
  Since:
    4.0.2
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FileChooserAction` | `CREATE_FOLDER` Create folder mode: put the FileChooser into a mode whereby it is creating a new directory.
    `static FileChooserAction` | `OPEN` Open mode: the FileChooser will only let the user pick an existing file.
    `static FileChooserAction` | `SAVE` Save mode: the FileChooser will come up in a form suited to saving files.
    `static FileChooserAction` | `SELECT_FOLDER` Open folder mode: set the FileChooser to enable the user pick a specific directory.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CREATE_FOLDER

          public static final FileChooserAction CREATE_FOLDER

      Create folder mode: put the FileChooser into a mode whereby it is creating a new directory. It will, however, let the user name an existing directory, which might be thought of as a bit odd, but it's a usability feature making the interface consistent across GNOME.

    - #### OPEN

          public static final FileChooserAction OPEN

      Open mode: the FileChooser will only let the user pick an existing file.

    - #### SAVE

          public static final FileChooserAction SAVE

      Save mode: the FileChooser will come up in a form suited to saving files. It will let the user pick an existing file [TODO: which will lead to an overwrite yes/no question, right?], or type in a new filename.

    - #### SELECT_FOLDER

          public static final FileChooserAction SELECT_FOLDER

      Open folder mode: set the FileChooser to enable the user pick a specific directory.